diff --git ui/accessibility/platform/BUILD.gn ui/accessibility/platform/BUILD.gn
index 3bec9f0f7d46f..59c527bdd29cd 100644
--- ui/accessibility/platform/BUILD.gn
+++ ui/accessibility/platform/BUILD.gn
@@ -285,6 +285,10 @@ component("platform") {
       if (use_gio) {
         configs += [ "//build/linux:gio_config" ]
       }
+
+      if (is_clang) {
+        cflags = [ "-Wno-deprecated-volatile" ]
+      }
     }
   }
 }
diff --git ui/gtk/BUILD.gn ui/gtk/BUILD.gn
index 4fc6b6d617832..77f17ecf4caf0 100644
--- ui/gtk/BUILD.gn
+++ ui/gtk/BUILD.gn
@@ -176,4 +176,8 @@ component("gtk") {
 
   # TODO: This should be removed.
   deps += [ "//ui/ozone" ]
+
+  if (is_clang) {
+    cflags = [ "-Wno-deprecated-volatile" ]
+  }
 }
